Bug 76435 - Add <shadow> element.
Summary: Add <shadow> element.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hayato Ito
URL:
Keywords:
Depends on:
Blocks: 76433
  Show dependency treegraph
 
Reported: 2012-01-17 01:07 PST by Hayato Ito
Modified: 2012-02-06 02:39 PST (History)
14 users (show)

See Also:


Attachments
WIP. (9.51 KB, patch)
2012-01-17 01:16 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
try for build-bots. (18.52 KB, patch)
2012-02-02 00:06 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
let me watch results of ews. (20.66 KB, patch)
2012-02-02 01:24 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
let me watch results of ews again. (21.52 KB, patch)
2012-02-02 02:56 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
let me watch results of ews again, updating HTMLElementsAllInOne.cpp (22.06 KB, patch)
2012-02-02 04:53 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
let me watch results of ews again, JSHTMLShadowElement is guared (23.60 KB, patch)
2012-02-02 05:42 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
let me watch results of ews again, idl is now guarded (22.89 KB, patch)
2012-02-02 19:18 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
let me watch results of ews again, fix idl (22.88 KB, patch)
2012-02-02 19:42 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
Fix mac build hopefully (22.86 KB, patch)
2012-02-03 02:04 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
ready for review (hopefully). (25.02 KB, patch)
2012-02-03 05:04 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
fix builds. (24.50 KB, patch)
2012-02-05 21:23 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
Patch for landing (24.50 KB, patch)
2012-02-06 01:43 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
Patch for landing (24.50 KB, patch)
2012-02-06 01:46 PST, Hayato Ito
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hayato Ito 2012-01-17 01:07:43 PST
Add <shadow> element.

The spec is now here: http://dvcs.w3.org/hg/webcomponents/raw-file/tip/spec/shadow/index.html
Comment 1 Hayato Ito 2012-01-17 01:16:05 PST
Created attachment 122733 [details]
WIP.
Comment 2 Dimitri Glazkov (Google) 2012-01-17 09:30:50 PST
Comment on attachment 122733 [details]
WIP.

View in context: https://bugs.webkit.org/attachment.cgi?id=122733&action=review

> Source/WebCore/html/HTMLTagNames.in:95
> +shadow interfaceName=HTMLShadowElement

This needs to be conditional on SHADOW_DOM.

> Source/WebCore/html/shadow/HTMLShadowElement.idl:33
> +    interface HTMLShadowElement : HTMLElement {

Needs to be conditional on SHADOW_DOM.
Comment 3 Hajime Morrita 2012-01-17 17:35:19 PST
> Needs to be conditional on SHADOW_DOM.
The flag is going to introduced by Bug 76353, which is blocked by Bug 76358.
Help wanted ;-)

I think whole HTMLShadowElement.h/cpp also should be guarded by the conditional.
Comment 4 Dimitri Glazkov (Google) 2012-01-17 19:20:18 PST
(In reply to comment #3)
> > Needs to be conditional on SHADOW_DOM.
> The flag is going to introduced by Bug 76353, which is blocked by Bug 76358.
> Help wanted ;-)
> 
> I think whole HTMLShadowElement.h/cpp also should be guarded by the conditional.

That last part probably won't work, since we need to keep details/summary working with the flag turned off.
Comment 5 Hayato Ito 2012-02-02 00:06:13 PST
Created attachment 125086 [details]
try for build-bots.
Comment 6 Gyuyoung Kim 2012-02-02 00:49:07 PST
Comment on attachment 125086 [details]
try for build-bots.

Attachment 125086 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11388759
Comment 7 Early Warning System Bot 2012-02-02 01:05:01 PST
Comment on attachment 125086 [details]
try for build-bots.

Attachment 125086 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11389786
Comment 8 Hayato Ito 2012-02-02 01:24:12 PST
Created attachment 125097 [details]
let me watch results of ews.
Comment 9 Gyuyoung Kim 2012-02-02 02:05:32 PST
Comment on attachment 125097 [details]
let me watch results of ews.

Attachment 125097 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11396764
Comment 10 Early Warning System Bot 2012-02-02 02:37:34 PST
Comment on attachment 125097 [details]
let me watch results of ews.

Attachment 125097 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11387818
Comment 11 Hayato Ito 2012-02-02 02:56:03 PST
Created attachment 125104 [details]
let me watch results of ews again.
Comment 12 Early Warning System Bot 2012-02-02 04:23:42 PST
Comment on attachment 125104 [details]
let me watch results of ews again.

Attachment 125104 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11389825
Comment 13 Gyuyoung Kim 2012-02-02 04:25:18 PST
Comment on attachment 125104 [details]
let me watch results of ews again.

Attachment 125104 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11381815
Comment 14 Hayato Ito 2012-02-02 04:53:28 PST
Created attachment 125116 [details]
let me watch results of ews again, updating HTMLElementsAllInOne.cpp
Comment 15 Early Warning System Bot 2012-02-02 05:21:24 PST
Comment on attachment 125116 [details]
let me watch results of ews again, updating HTMLElementsAllInOne.cpp

Attachment 125116 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11393763
Comment 16 Gyuyoung Kim 2012-02-02 05:39:11 PST
Comment on attachment 125116 [details]
let me watch results of ews again, updating HTMLElementsAllInOne.cpp

Attachment 125116 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11394799
Comment 17 Hayato Ito 2012-02-02 05:42:35 PST
Created attachment 125126 [details]
let me watch results of ews again, JSHTMLShadowElement is guared
Comment 18 Early Warning System Bot 2012-02-02 06:06:23 PST
Comment on attachment 125126 [details]
let me watch results of ews again, JSHTMLShadowElement is guared

Attachment 125126 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11393774
Comment 19 Gyuyoung Kim 2012-02-02 06:26:22 PST
Comment on attachment 125126 [details]
let me watch results of ews again, JSHTMLShadowElement is guared

Attachment 125126 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11386824
Comment 20 Gustavo Noronha (kov) 2012-02-02 13:05:14 PST
Comment on attachment 125126 [details]
let me watch results of ews again, JSHTMLShadowElement is guared

Attachment 125126 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11394914
Comment 21 Hayato Ito 2012-02-02 19:18:53 PST
Created attachment 125238 [details]
let me watch results of ews again, idl is now guarded
Comment 22 Gyuyoung Kim 2012-02-02 19:37:06 PST
Comment on attachment 125238 [details]
let me watch results of ews again, idl is now guarded

Attachment 125238 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11422052
Comment 23 Hayato Ito 2012-02-02 19:42:28 PST
Created attachment 125243 [details]
let me watch results of ews again, fix idl
Comment 24 Hayato Ito 2012-02-03 02:04:09 PST
Created attachment 125293 [details]
Fix mac build hopefully
Comment 25 Hayato Ito 2012-02-03 05:04:00 PST
Created attachment 125309 [details]
ready for review (hopefully).
Comment 26 Dimitri Glazkov (Google) 2012-02-03 09:24:25 PST
Comment on attachment 125309 [details]
ready for review (hopefully).

View in context: https://bugs.webkit.org/attachment.cgi?id=125309&action=review

> LayoutTests/fast/dom/shadow/shadow-element.html:13
> +// We don't have to guard this by SHADOW_DOM flag for now.

Right -- so how is this test useful? :)
Comment 27 Hayato Ito 2012-02-05 18:31:11 PST
Not useful for now. :)
That only ensures that crash does not happen when HTMLShadowElement is created with SHADOW_DOM flag.
I'll land this patch to move forward. Thank you.

(In reply to comment #26)
> (From update of attachment 125309 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=125309&action=review
> 
> > LayoutTests/fast/dom/shadow/shadow-element.html:13
> > +// We don't have to guard this by SHADOW_DOM flag for now.
> 
> Right -- so how is this test useful? :)
Comment 28 WebKit Review Bot 2012-02-05 19:22:36 PST
Comment on attachment 125309 [details]
ready for review (hopefully).

Rejecting attachment 125309 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
 2
/HTMLShadowElement.h:48: error: 'MappedAttributeEntry' has not been declared
  CXX(target) out/Debug/obj.target/webcore_bindings/gen/webkit/bindings/V8DerivedSources12.o
  CXX(target) out/Debug/obj.target/webcore_bindings/gen/webkit/bindings/V8DerivedSources13.o
  CXX(target) out/Debug/obj.target/webcore_bindings/gen/webkit/bindings/V8DerivedSources14.o
make: *** [out/Debug/obj.target/webcore_bindings/gen/webkit/bindings/V8DerivedSources08.o] Error 1
make: *** Waiting for unfinished jobs....

Full output: http://queues.webkit.org/results/11434078
Comment 29 Hayato Ito 2012-02-05 21:23:25 PST
Created attachment 125565 [details]
fix builds.
Comment 30 Hayato Ito 2012-02-05 21:26:35 PST
I've upload a new patch to fix build.
I am still wondering why EWS-bots could not catch this type of build error which commit-queue could catch.
Comment 31 Hayato Ito 2012-02-06 01:42:32 PST
Since mac-ews has not been working either with or without this patch, let me land this patch and watch the tree.

(In reply to comment #30)
> I've upload a new patch to fix build.
> I am still wondering why EWS-bots could not catch this type of build error which commit-queue could catch.
Comment 32 Hayato Ito 2012-02-06 01:43:27 PST
Created attachment 125596 [details]
Patch for landing
Comment 33 Hayato Ito 2012-02-06 01:46:03 PST
Created attachment 125597 [details]
Patch for landing
Comment 34 WebKit Review Bot 2012-02-06 02:39:46 PST
Comment on attachment 125597 [details]
Patch for landing

Clearing flags on attachment: 125597

Committed r106794: <http://trac.webkit.org/changeset/106794>
Comment 35 WebKit Review Bot 2012-02-06 02:39:54 PST
All reviewed patches have been landed.  Closing bug.